List built-in skill catalog
import requests
url = "https://api.datagrid.com/v1/skills/builtin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/skills/builtin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/skills/builtin \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "builtin_skill",
"builtin_key": "<string>",
"name": "<string>",
"description": "<string>",
"slash_key": "<string>",
"category": "<string>",
"instructions": "<string>",
"required_tools": [
"<string>"
],
"preferred_tools": [
"<string>"
]
}
],
"has_more": true
}Skills
List built-in skill catalog
Return the full in-memory built-in catalogue shipped with Datagrid. The catalogue is small and not cursor-paginated (has_more is always false); adding pagination later would be a breaking SDK change. Use POST /skills/builtin/{builtin_key}/override to customize one for your company. Requires ep:skills:read.
GET
/
skills
/
builtin
List built-in skill catalog
import requests
url = "https://api.datagrid.com/v1/skills/builtin"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/skills/builtin', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/skills/builtin \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "builtin_skill",
"builtin_key": "<string>",
"name": "<string>",
"description": "<string>",
"slash_key": "<string>",
"category": "<string>",
"instructions": "<string>",
"required_tools": [
"<string>"
],
"preferred_tools": [
"<string>"
]
}
],
"has_more": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Built-in skill catalog